package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsLimit;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsLimitExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryGoodsLimitMapper {
    
    int countByExample(InventoryGoodsLimitExample example);
    
    int deleteByExample(InventoryGoodsLimitExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryGoodsLimit record);
    
    int insertSelective(InventoryGoodsLimit record);
    
    List<InventoryGoodsLimit> selectByExampleWithBLOBs(InventoryGoodsLimitExample example);
    
    List<InventoryGoodsLimit> selectByExample(InventoryGoodsLimitExample example);
    
    InventoryGoodsLimit selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryGoodsLimit record, @Param("example") InventoryGoodsLimitExample example);
    
    int updateByExampleWithBLOBs(@Param("record") InventoryGoodsLimit record, @Param("example") InventoryGoodsLimitExample example);
    
    int updateByExample(@Param("record") InventoryGoodsLimit record, @Param("example") InventoryGoodsLimitExample example);
    
    int updateByPrimaryKeySelective(InventoryGoodsLimit record);
    
    int updateByPrimaryKeyWithBLOBs(InventoryGoodsLimit record);
    
    int updateByPrimaryKey(InventoryGoodsLimit record);
    
    void batchInsert(@Param("items") List<InventoryGoodsLimit> items);
}